Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt.events
Class TreeEvent

    java.lang.Object
      Event
          org.eclipse.swt.events.TypedEvent
              org.eclipse.swt.events.SelectionEvent
                  org.eclipse.swt.events.TreeEvent

public final class TreeEvent
extends SelectionEvent

Instances of this class are sent as a result of trees being expanded and collapsed.

IMPORTANT: All `public static` members of this class are not part of the RWT public API. They are marked public only so that they can be shared within the packages provided by RWT. They should never be accessed from application code.

See Also:
  `TreeListener`, Serialized Form

Field Summary
`static int` `TREE_COLLAPSED`
`static int` `TREE_EXPANDED`

Fields inherited from class org.eclipse.swt.events.SelectionEvent
`detail, doit, height, item, stateMask, text, WIDGET_DEFAULT_SELECTED, WIDGET_SELECTED, width, x, y`

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, widget`

Constructor Summary
`TreeEvent(Event event)` Constructs a new instance of this class based on the information in the given untyped event.
`TreeEvent(Widget widget, Widget item, int id)` Constructs a new instance of this class.

Method Summary
`static void` `addListener(Adaptable adaptable, TreeListener listener)`
`protected boolean` `allowProcessing()`
`protected void` `dispatchToObserver(Object listener)`
`static Object[]` `getListeners(Adaptable adaptable)`
`protected Class` `getListenerType()`
`static boolean` `hasListener(Adaptable adaptable)`
`static void` `removeListener(Adaptable adaptable, TreeListener listener)`

Methods inherited from class org.eclipse.swt.events.SelectionEvent
`addListener, removeListener, toString`

Methods inherited from class org.eclipse.swt.events.TypedEvent
`executeNext, getSource, processEvent, processScheduledEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TREE_EXPANDED

    public static final int TREE_EXPANDED

See Also:
  Constant Field Values

### TREE_COLLAPSED

    public static final int TREE_COLLAPSED

See Also:
  Constant Field Values

Constructor Detail

### TreeEvent

    public TreeEvent(Event event)

  Constructs a new instance of this class based on the information in the given untyped event.

Parameters:
  `event` - the untyped event containing the information

### TreeEvent

    public TreeEvent(Widget widget,
                     Widget item,
                     int id)

  Constructs a new instance of this class.

  IMPORTANT: This method is not part of the RWT public API. It is marked public only so that it can be shared within the packages provided by RWT. It should never be accessed from application code.

Method Detail

### dispatchToObserver

    protected void dispatchToObserver(Object listener)

  Overrides:
    `dispatchToObserver` in class `SelectionEvent`

### getListenerType

    protected Class getListenerType()

  Overrides:
    `getListenerType` in class `SelectionEvent`

### allowProcessing

    protected boolean allowProcessing()

  Overrides:
    `allowProcessing` in class `SelectionEvent`

### addListener

    public static void addListener(Adaptable adaptable,
                                   TreeListener listener)

### removeListener

    public static void removeListener(Adaptable adaptable,
                                      TreeListener listener)

### hasListener

    public static boolean hasListener(Adaptable adaptable)

### getListeners

    public static Object[] getListeners(Adaptable adaptable)

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.